{% extends "src/html/_template.njk" %}

{%- set page_hide_breadcrumb = true -%}
{% set title = "UI kit" %}


{% block content %}

    <div class="mb-40">
        <a href="#">Link default with underline</a>
    </div>
    <div class="mb-40">
        <button type="button" class="btn">
            <span>Link default</span>
        </button>
    </div>
    <div class="mb-40">
        <ul class="footer__nav">
            <li class="footer__nav__item">
                <a href="#" class="footer__nav__link">Модели</a>
            </li>
            <li class="footer__nav__item">
                <a href="#" class="footer__nav__link">Покупателям</a>
            </li>
            <li class="footer__nav__item">
                <a href="#" class="footer__nav__link">Владельцам</a>
            </li>
            <li class="footer__nav__item">
                <a href="#" class="footer__nav__link">Мир Exeed</a>
            </li>
        </ul>
    </div>
    <div class="mb-40">
        <button type="button" class="btn-nav">
            <i>
                <svg class="ico-svg" viewBox="0 0 16 8" xmlns="http://www.w3.org/2000/svg">
                    <use xlink:href="img/sprites/sprite.svg#nav_arrow_next" xmlns:xlink="http://www.w3.org/1999/xlink"></use>
                </svg>
            </i>
        </button>
    </div>

    <div class="mb-40" style="width: 280px">
        <div class="mb-20">
            <div class="form-label">Input default</div>
            <div class="field">
                <input type="text" name="f1" value="" placeholder="Должность на месте работы">
            </div>
        </div>
        <div class="mb-20">
            <div class="form-label">Input active</div>
            <div class="field">
                <input type="text" name="f2" value="Name" placeholder="Должность на месте работы">
            </div>
        </div>
        <div class="mb-20">
            <div class="form-label">Input error</div>
            <div class="field field--error">
                <input type="text" name="f3" value="Name" placeholder="Должность на месте работы">
                <div class="field__error">Description error</div>
            </div>
        </div>
    </div>

    <div class="mb-40" style="width: 280px">
        <div class="select" data-dropdown data-select>
            <input type="hidden" name="select" value="Select name" data-select-value>
            <button type="button" class="select__button" data-select-button data-dropdown-toggle>
                <span class="select__placeholder" data-select-placeholder="Select default">Select default</span>
                <i class="select__arrow">
                    <svg class="ico-svg" viewBox="0 0 9 5" xmlns="http://www.w3.org/2000/svg">
                        <use xlink:href="img/sprites/sprite.svg#angle_down" xmlns:xlink="http://www.w3.org/1999/xlink"></use>
                    </svg>
                </i>
            </button><!-- .select__button -->
            <div class="select__content" data-dropdown-content>
                <div class="select__item" data-select-item="Select name 1">
                    <div class="select__label">Select name 1</div>
                    <div class="select__count">12</div>
                </div><!-- .select__item -->
                <div class="select__item" data-select-item="Select name 2">
                    <div class="select__label">Select name 2</div>
                    <div class="select__count">5</div>
                </div><!-- .select__item -->
                <div class="select__item" data-select-item="Select name 3">
                    <div class="select__label">Select name 3</div>
                    <div class="select__count">7</div>
                </div><!-- .select__item -->
                <div class="select__item" data-select-item="Select name 4">
                    <div class="select__label">Select name 4</div>
                    <div class="select__count">2</div>
                </div><!-- .select__item -->
                <div class="select__item" data-select-item="Select name 5">
                    <div class="select__label">Select name 5</div>
                    <div class="select__count">1</div>
                </div><!-- .select__item -->
            </div><!-- .select__content -->
        </div><!-- .select -->
    </div>

    <div class="mb-40">
        <div class="mb-1">
            <label class="checkbox">
                <input type="checkbox" name="ch1">
                <span class="checkbox__label">Default</span>
            </label>
        </div>
    </div>
    <div class="mb-1">
        <label class="checkbox">
            <input type="checkbox" name="ch1" checked>
            <span class="checkbox__label">Active</span>
        </label>
    </div>


    <div class="mb-40">
        <div class="mb-1">
            <label class="radio">
                <input type="radio" name="radio1" value="1">
                <span class="radio__label">Default</span>
            </label>
        </div>
    </div>
    <div class="mb-1">
        <label class="radio">
            <input type="radio" name="radio1" checked value="10">
            <span class="radio__label">Active</span>
        </label>
    </div>
{% endblock %}
